Package com.independentsoft.office.spreadsheet.extensions

# Class X14ConditionalFormatting

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14ConditionalFormatting

public class X14ConditionalFormatting extends Object
Represents a conditional formatting definition (x14:conditionalFormatting element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14ConditionalFormatting()`
  Instantiates a new x14 conditional formatting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14ConditionalFormatting`
  `clone()`
  `Boolean`
  `getPivot()`
  Gets whether the conditional formatting applies to a pivot table.
  `List<X14ConditionalFormattingRule>`
  `getRules()`
  Gets the conditional formatting rules.
  `String`
  `getSequenceOfReferences()`
  Gets the cell ranges the formatting applies to (xm:sqref element).
  `void`
  `setPivot​(Boolean pivot)`
  Sets whether the conditional formatting applies to a pivot table.
  `void`
  `setSequenceOfReferences​(String sequenceOfReferences)`
  Sets the cell ranges the formatting applies to (xm:sqref element).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14ConditionalFormatting

    public X14ConditionalFormatting()
    Instantiates a new x14 conditional formatting.

- ## Method Details

  - ### clone

    public X14ConditionalFormatting clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPivot

    public Boolean getPivot()
    Gets whether the conditional formatting applies to a pivot table.
    Returns:
      whether the conditional formatting applies to a pivot table

  - ### setPivot

    public void setPivot​(Boolean pivot)
    Sets whether the conditional formatting applies to a pivot table.
    Parameters:
      `pivot` - the new pivot flag

  - ### getRules

    public List<X14ConditionalFormattingRule> getRules()
    Gets the conditional formatting rules.
    Returns:
      the conditional formatting rules

  - ### getSequenceOfReferences

    public String getSequenceOfReferences()
    Gets the cell ranges the formatting applies to (xm:sqref element).
    Returns:
      the cell ranges the formatting applies to

  - ### setSequenceOfReferences

    public void setSequenceOfReferences​(String sequenceOfReferences)
    Sets the cell ranges the formatting applies to (xm:sqref element).
    Parameters:
      `sequenceOfReferences` - the new cell ranges the formatting applies to